# Class OpenFilesEvent

java.lang.Object
java.util.EventObject
java.awt.desktop.AppEvent
java.awt.desktop.FilesEvent
java.awt.desktop.OpenFilesEvent

All Implemented Interfaces:
  `Serializable`

public final class OpenFilesEvent extends FilesEvent
Event sent when the app is asked to open a list of files.

Since:
  9
See Also:
  - `OpenFilesHandler.openFiles(OpenFilesEvent)`
  - Serialized Form

## Field Summary

### Fields declared in class EventObject

`source`
Modifier and Type
Field
Description
`protected Object`
`source`
The object on which the Event initially occurred.

## Constructor Summary

Constructors
Constructor
Description
`OpenFilesEvent(List<File> files, String searchTerm)`
Constructs an `OpenFilesEvent`.

## Method Summary

Modifier and Type
Method
Description
`String`
`getSearchTerm()`
Gets the search term.

### Methods declared in class FilesEvent

`getFiles`
Modifier and Type
Method
Description
`List<File>`
`getFiles()`
Gets the list of files.

### Methods declared in class EventObject

`getSource, toString`
Modifier and Type
Method
Description
`Object`
`getSource()`
The object on which the Event initially occurred.
`String`
`toString()`
Returns a String representation of this EventObject.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### OpenFilesEvent

public OpenFilesEvent(List<File> files, String searchTerm)
Constructs an `OpenFilesEvent`.

Parameters:
  `files` - the list of files
  `searchTerm` - the search term
Throws:
  `HeadlessException` - if `GraphicsEnvironment.isHeadless()` returns `true`
  `UnsupportedOperationException` - if Desktop API is not supported on the current platform
See Also:
  - `Desktop.isDesktopSupported()`
  - `GraphicsEnvironment.isHeadless()`

## Method Details

### getSearchTerm

public String getSearchTerm()
Gets the search term. The platform may optionally provide the search term that was used to find the files. This is for example the case on MacOS, when the files were opened using the Spotlight search menu or a Finder search window.

This is useful for highlighting the search term in the documents when they are opened.

Returns:
  the search term used to find the files